Subject: RE: cron problem
From: Sanjay Gupta <[email-masked]>
To: "'Michael Adler'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 28 Feb 2002 09:48:38 -0800

Thanks Michael,
I have read your post and I guess, I have started cron daemon first. I have
WinNT 4.0 SP6a and I was not able to delete the cron directory. I have tried
rm -rf cron and I have also tried deleteing the cron directory from WinNT
but I couldn't. It was saying that Access is denied or file is being used.
Then I asked my WinNT adminstrator to delete the cron directory and he was
able to do it with little efforts.
After delete cron directory, I first did crontab -e and put a dummy entry in
crontab * * * * * date > date.log
and then it worked.

Sanjay

-----Original Message-----
From: Michael Adler [mailto:[email-masked]]
Sent: Thursday, February 28, 2002 7:50 AM
To: Sanjay Gupta
Cc: [email-masked]'
Subject: Re: cron problem

I reported a related problem a few weeks ago and then reported a fix for
this last week.

Unfortunately, I haven't seen any response from the maintainers--perhaps I
reported this to the wrong list...

Did you start the cron daemon (as some other user?) before creating a
crontab? If yes, then that other user (probably 'SYSTEM') owns /var/cron
and you don't have write access.

On Win2k, you can change the owner of that directory, and then add that
user and give that user full control over /var/cron and /var/cron/tabs.

Next time, make a crontab before starting the cron daemon.

What I think should really happen is that cron should create those
directories during installation so they are owned by whoever installed
cygwin.

Best of luck.

Mike

On Wed, 27 Feb 2002, Sanjay Gupta wrote:

> Date: Wed, 27 Feb 2002 17:31:05 -0800
> From: Sanjay Gupta <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Subject: cron problem
>
> Why, I am getting the following error when creating cronjobs.
>
> $ crontab -e
> no crontab for Administrator - using an empty one
> crontab: installing new crontab
> crontab: error renaming tabs/tmp.000107 to tabs/Administrator
> rename: Permission denied
> crontab: edits left in /tmp/crontab.107
>
> Sanjay
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

Mike

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/